"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTenantDAO = void 0;
const ApplifyController_1 = require("../../controllers/ApplifyController");
const react_1 = require("react");
const getTenant_1 = __importDefault(require("@thatamplify/core/app/Tenant/gql/getTenant"));
const asPM_1 = __importDefault(require("../../utils/asPM"));
const gqlQuery_1 = __importDefault(require("../../utils/gqlQuery"));
const useTenantDataCache_1 = __importDefault(require("./useTenantDataCache"));
const useGQLQuery_1 = __importDefault(require("../../hooks/useGQLQuery"));
const reg_1 = __importDefault(require("../reg"));
exports.default = useTenantDAO;
function useTenantDAO(id) {
    const tenantId = (0, ApplifyController_1.useApplifyTenantId)();
    const cache = (0, useTenantDataCache_1.default)();
    const { data, loading } = (0, useGQLQuery_1.default)(() => (0, asPM_1.default)(reg_1.default.Tenant, (0, gqlQuery_1.default)(getTenant_1.default, { tenantId, id, })), tenantId + ":" + id);
    (0, react_1.useEffect)(() => cache.set(data), [cache.set, data]);
    return (0, react_1.useMemo)(() => ({
        tenant: cache.get(id),
        tenantReady: !loading,
    }), [
        loading,
        cache.cacheChanged
    ]);
}
exports.useTenantDAO = useTenantDAO;
//# sourceMappingURL=useTenantDAO.js.map