"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTenantsDAO = void 0;
const ApplifyController_1 = require("../../controllers/ApplifyController");
const react_1 = require("react");
const listTenants_1 = __importDefault(require("@thatamplify/core/app/Tenant/gql/listTenants"));
const asPMArray_1 = __importDefault(require("../../utils/asPMArray"));
const gqlQuery_1 = __importDefault(require("../../utils/gqlQuery"));
const useTenantDataCache_1 = __importDefault(require("./useTenantDataCache"));
const useGQLQuery_1 = __importDefault(require("../../hooks/useGQLQuery"));
const reg_1 = __importDefault(require("../reg"));
exports.default = useTenantsDAO;
function useTenantsDAO() {
    const tenantId = (0, ApplifyController_1.useApplifyTenantId)();
    const cache = (0, useTenantDataCache_1.default)();
    const { data, loading } = (0, useGQLQuery_1.default)(() => (0, asPMArray_1.default)(reg_1.default.Tenant, (0, gqlQuery_1.default)(listTenants_1.default, { tenantId, filter: { _deleted: { ne: true } } })), tenantId);
    (0, react_1.useEffect)(() => cache.setAll(data), [cache.setAll, data]);
    return (0, react_1.useMemo)(() => ({
        tenants: cache.getAll(),
        tenantsReady: !loading,
    }), [
        cache.cacheChanged,
        loading
    ]);
}
exports.useTenantsDAO = useTenantsDAO;
//# sourceMappingURL=useTenantsDAO.js.map