"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApplifyDoSwitchTenant = void 0;
const Logger_1 = __importDefault(require("@thats/utils/log/Logger"));
const datastore_1 = require("aws-amplify/datastore");
const react_1 = require("react");
const apiSelfSwitchTenant_1 = __importDefault(require("../../app/svcs/apiSelfSwitchTenant"));
exports.default = useApplifyDoSwitchTenant;
function useApplifyDoSwitchTenant({ current: _s }, { current: _a }) {
    return (0, react_1.useCallback)((tId) => {
        return new Promise((resolve, reject) => (0, apiSelfSwitchTenant_1.default)({ tenantId: tId })
            .then(() => {
            Logger_1.default.info('Stopping Datastore');
            return datastore_1.DataStore.stop();
        })
            .then(() => {
            Logger_1.default.info('Clearing Datastore');
            return datastore_1.DataStore.clear();
        })
            .then(_a.doUserDetailsRefresh)
            .then(() => {
            Logger_1.default.info('Starting Datastore');
            return datastore_1.DataStore.start();
        })
            .then(resolve)
            .catch(reject));
    }, [_a]);
}
exports.useApplifyDoSwitchTenant = useApplifyDoSwitchTenant;
//# sourceMappingURL=useApplifyDoSwitchTenant.js.map